﻿<AML>
 <Item type="Method" id="8B9C7ED108CD4553BCBF930C976290FC" action="add">
  <comments />
  <execution_allowed_to keyed_name="World" type="Identity">A73B655731924CD0B027E4F4D5FCC0A9</execution_allowed_to>
  <method_code><![CDATA[/* *****************************************************************************
Method Name:			acc_balancesheet_sp_call
Created By		:		SolidCAD 
Creation Date:			2018-01-23
Description:
    When click "Search" Button,
    If check Excel,Report show with Excel.
	Else Report show with PDF.
	
Hooks:
	Type:	Form	:	acc_BalanceSheet_Report
	Event:	btn_search ( onClick )

Revisions:
	Rev Date		Modified By			Description
	YYYY-MM-DD		$username$			Initial creation
***************************************************************************** */
//debugger;
var myInnovator = new Innovator();

var acc_from_date = top.aras.getItemProperty(document.item, 'acc_from_date');
var acc_to_date = top.aras.getItemProperty(document.item, 'acc_to_date');
var acc_report_currency = top.aras.getItemProperty(document.item, 'acc_report_currency');
var acc_accounting_method = top.aras.getItemProperty(document.item, 'acc_accounting_method');
var acc_excel = top.aras.getItemProperty(document.item, 'acc_excel');

/* To Get Company Info */
var company = myInnovator.applyMethod("acc_getCompanyInfo", "");
var erp_com_name = company.getProperty("erp_com_name");
/* End */


if (acc_accounting_method === "Cash") {
    var exe_method = myInnovator.applyMethod("acc_ProfitandLoss_Cash_sp",
        "<acc_accounting_method>" + acc_accounting_method + "</acc_accounting_method>" +
        "<acc_from_date>" + acc_from_date + "</acc_from_date>" +
        "<acc_to_date>" + acc_to_date + "</acc_to_date>" +
        "<acc_report_currency>" + acc_report_currency + "</acc_report_currency>");

    var exe_method = myInnovator.applyMethod("acc_BalanceSheet_Cash_sp",
        "<acc_accounting_method>" + acc_accounting_method + "</acc_accounting_method>" +
        "<acc_from_date>" + acc_from_date + "</acc_from_date>" +
        "<acc_to_date>" + acc_to_date + "</acc_to_date>" +
        "<acc_report_currency>" + acc_report_currency + "</acc_report_currency>");
} else {
    var exe_method = myInnovator.applyMethod("acc_ProfitandLoss_Accrual_sp",
        "<acc_accounting_method>" + acc_accounting_method + "</acc_accounting_method>" +
        "<acc_from_date>" + acc_from_date + "</acc_from_date>" +
        "<acc_to_date>" + acc_to_date + "</acc_to_date>" +
        "<acc_report_currency>" + acc_report_currency + "</acc_report_currency>");

    var exe_method = myInnovator.applyMethod("acc_BalanceSheet_Accrual_sp",
        "<acc_accounting_method>" + acc_accounting_method + "</acc_accounting_method>" +
        "<acc_from_date>" + acc_from_date + "</acc_from_date>" +
        "<acc_to_date>" + acc_to_date + "</acc_to_date>" +
        "<acc_report_currency>" + acc_report_currency + "</acc_report_currency>" +
        "<erp_com_name>" + erp_com_name + "</erp_com_name>");
}

var ProcessItem = parent.item;
var processID;
try {
    processID = ProcessItem.getAttribute("id");
} catch (e) {}
if (!processID) {
    return;
}
if (acc_excel === "0") {
    reportName = "BalanceSheet"; // Your Report Name Here
    url = top.aras.getServerBaseURL() + "RSGateway.aspx?irs:Report=" + reportName + "&rs:Format=PDF";
    var w = window.open();
    w.location = url;
    
} else {
    ProcessItem = top.aras.getItemById('BalanceSheet', processID);
    if (!(ProcessItem)) {
        return;
    }
    var ProcessTypeID = ProcessItem.getAttribute("type");
    var report = top.aras.getItemByKeyedName("Report", "BalanceSheet");
    reportName = "BalanceSheet"; // Your Report Name Here
    url = top.aras.getServerBaseURL() + "RSGateway.aspx?irs:Report=" + reportName + "&rs:Format=EXCEL";
    var w = window.open();
    w.location = url;
}]]></method_code>
  <method_type>JavaScript</method_type>
  <name>acc_balancesheet_sp_call</name>
 </Item>
</AML>